%define modules slip.ko
%define moduledir drivers/net

%{kmod slip 1.0 1}
BuildRequires: kernel-sourcecode = %{_kversion}
%{kmod_dependencies}
%{kmod_desc}

%package smp
%{kmod_dependencies smp}
%{kmod_desc smp}

%package hugemem
%{kmod_dependencies hugemem}
%{kmod_desc hugemem}

%prep
%setup -n %{name}-%{version} -c -T
ln -s %{_usrsrc}/linux-%{_kversion}/drivers/net/slip.c .
ln -s %{_usrsrc}/linux-%{_kversion}/drivers/net/slip.h .
echo 'obj-m += slip.o' > Makefile

%build
%{__rm} -rf %{buildroot}
echo -e "\nDriver version: %{version}\nKernel version: %{_kversion}\n"

make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir} SRC=%{kmod_kernelsrcdir} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir} SRC=%{kmod_kernelsrcdir} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir}/%{moduledir}

%if %{_with_smp}
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir smp} SRC=%{kmod_kernelsrcdir smp} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir smp} SRC=%{kmod_kernelsrcdir smp} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir smp}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir smp}/%{moduledir}
%endif

%if %{_with_hugemem}
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir hugemem} SRC=%{kmod_kernelsrcdir hugemem} M=`pwd` clean
make KERNELRELEASE=%{_kversion} -C %{kmod_kernelsrcdir hugemem} SRC=%{kmod_kernelsrcdir hugemem} M=`pwd` modules
install -d -m0755 %{buildroot}%{kmod_moduledir hugemem}/%{moduledir}
install -m0644 %{modules} %{buildroot}%{kmod_moduledir hugemem}/%{moduledir}
%endif

%{kmod_scripts}
%{kmod_scripts smp}
%{kmod_scripts hugemem}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%{kmod_moduledir}/%{moduledir}

%if %{_with_smp}
%files smp
%defattr(-, root, root, -)
%{kmod_moduledir smp}/%{moduledir}
%endif

%if %{_with_hugemem}
%files hugemem
%defattr(-, root, root, -)
%{kmod_moduledir hugemem}/%{moduledir}
%endif

%changelog
* Fri Dec 01 2006 Shad L. Lords <slords@mail.com>
- Initial package.
